package com.ruoyi.system.domain.req;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;



@ApiModel(value = "TRecordResultReq", description = "就诊分页查询入参实体")
public class TRecordResultReq
{

    @ApiModelProperty("患者姓名")
    private String name;
    @ApiModelProperty("患者性别")
    private String sex;
    @ApiModelProperty("患者年龄")
    private Integer age;
    @ApiModelProperty("档案号")
    private String identifier;
    @ApiModelProperty("医生id")
    private Long doctorId;
    @ApiModelProperty("医生姓名")
    private String doctorName;
    @ApiModelProperty("医院id")
    private Long hospitalId;

    @JsonFormat(pattern = "yyyy-MM")
    @ApiModelProperty("初诊日期查询 到月份")
    private Date createTime;

    @ApiModelProperty("注册日期排序(必传)：asc 正序，desc 倒序")
    //预约时间排序
    private String doctorOder;
    //首诊时间排序
    @ApiModelProperty("首诊时间排序(必传)：asc 正序，desc 倒序")
    private String firstVisitOder;
    @ApiModelProperty("状态")
    private String status;

    @ApiModelProperty("待诊日期开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;
    @ApiModelProperty("待诊日期结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    public String getName()
    {
        return name;
    }

    public void setName(String name)
    {
        this.name = name;
    }

    public String getSex()
    {
        return sex;
    }

    public void setSex(String sex)
    {
        this.sex = sex;
    }

    public Integer getAge()
    {
        return age;
    }

    public void setAge(Integer age)
    {
        this.age = age;
    }

    public String getIdentifier()
    {
        return identifier;
    }

    public void setIdentifier(String identifier)
    {
        this.identifier = identifier;
    }

    public Long getDoctorId()
    {
        return doctorId;
    }

    public void setDoctorId(Long doctorId)
    {
        this.doctorId = doctorId;
    }

    public Long getHospitalId()
    {
        return hospitalId;
    }

    public void setHospitalId(Long hospitalId)
    {
        this.hospitalId = hospitalId;
    }


    public String getStatus()
    {
        return status;
    }

    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getDoctorOder()
    {
        return doctorOder;
    }

    public void setDoctorOder(String doctorOder)
    {
        this.doctorOder = doctorOder;
    }

    public String getFirstVisitOder()
    {
        return firstVisitOder;
    }

    public void setFirstVisitOder(String firstVisitOder)
    {
        this.firstVisitOder = firstVisitOder;
    }

    public Date getCreateTime()
    {
        return createTime;
    }

    public void setCreateTime(Date createTime)
    {
        this.createTime = createTime;
    }

    public Date getStartTime()
    {
        return startTime;
    }

    public void setStartTime(Date startTime)
    {
        this.startTime = startTime;
    }

    public Date getEndTime()
    {
        return endTime;
    }

    public void setEndTime(Date endTime)
    {
        this.endTime = endTime;
    }

    public String getDoctorName()
    {
        return doctorName;
    }

    public void setDoctorName(String doctorName)
    {
        this.doctorName = doctorName;
    }
}
